comparison configure @ 51117:deff9a0011bc

*** empty log message ***
author Dave Love <fx@gnu.org>
date Wed, 21 May 2003 12:59:28 +0000
parents 088ec1541d38
children 79ec3bcd1a81
comparison
equal deleted inserted replaced
51116:cac5cb5d83ec 51117:deff9a0011bc
2056 machine=ibmps2-aix opsys=usg5-3 2056 machine=ibmps2-aix opsys=usg5-3
2057 ;; 2057 ;;
2058 i370-ibm-aix*) 2058 i370-ibm-aix*)
2059 machine=ibm370aix opsys=usg5-3 2059 machine=ibm370aix opsys=usg5-3
2060 ;; 2060 ;;
2061 s390-*-linux-gnu) 2061 s390-*-linux-gnu* )
2062 machine=ibms390 opsys=gnu-linux 2062 machine=ibms390 opsys=gnu-linux
2063 ;; 2063 ;;
2064 rs6000-ibm-aix3.1* | powerpc-ibm-aix3.1* ) 2064 rs6000-ibm-aix3.1* | powerpc-ibm-aix3.1* )
2065 machine=ibmrs6000 opsys=aix3-1 2065 machine=ibmrs6000 opsys=aix3-1
2066 ;; 2066 ;;
2071 machine=ibmrs6000 opsys=aix4-1 2071 machine=ibmrs6000 opsys=aix4-1
2072 ;; 2072 ;;
2073 rs6000-ibm-aix4.2* | powerpc-ibm-aix4.2* ) 2073 rs6000-ibm-aix4.2* | powerpc-ibm-aix4.2* )
2074 machine=ibmrs6000 opsys=aix4-2 2074 machine=ibmrs6000 opsys=aix4-2
2075 ;; 2075 ;;
2076 rs6000-ibm-aix5.1* | powerpc-ibm-aix5.1* ) 2076 rs6000-ibm-aix5* | powerpc-ibm-aix5* )
2077 machine=ibmrs6000 opsys=aix4-2 2077 machine=ibmrs6000 opsys=aix4-2
2078 ;; 2078 ;;
2079 rs6000-ibm-aix4.0* | powerpc-ibm-aix4.0* ) 2079 rs6000-ibm-aix4.0* | powerpc-ibm-aix4.0* )
2080 machine=ibmrs6000 opsys=aix4 2080 machine=ibmrs6000 opsys=aix4
2081 ;; 2081 ;;
2516 # Prevent -belf from being passed to $CPP. 2516 # Prevent -belf from being passed to $CPP.
2517 # /lib/cpp does not accept it. 2517 # /lib/cpp does not accept it.
2518 OVERRIDE_CPPFLAGS=" " 2518 OVERRIDE_CPPFLAGS=" "
2519 ;; 2519 ;;
2520 *-sysv4.2uw* ) opsys=unixware; NON_GNU_CPP=/lib/cpp ;; 2520 *-sysv4.2uw* ) opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
2521 *-sysv5uw* ) opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
2522 *-sysv5OpenUNIX* ) opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
2521 *-386bsd* ) opsys=386bsd ;; 2523 *-386bsd* ) opsys=386bsd ;;
2522 *-nextstep* ) opsys=nextstep ;; 2524 *-nextstep* ) opsys=nextstep ;;
2523 ## Otherwise, we'll fall through to the generic opsys code at the bottom. 2525 ## Otherwise, we'll fall through to the generic opsys code at the bottom.
2524 esac 2526 esac
2525 ;; 2527 ;;
2578 *-sysv0 | *-sysvr0 ) opsys=usg5-0 ;; 2580 *-sysv0 | *-sysvr0 ) opsys=usg5-0 ;;
2579 *-sysv2 | *-sysvr2 ) opsys=usg5-2 ;; 2581 *-sysv2 | *-sysvr2 ) opsys=usg5-2 ;;
2580 *-sysv2.2 | *-sysvr2.2 ) opsys=usg5-2-2 ;; 2582 *-sysv2.2 | *-sysvr2.2 ) opsys=usg5-2-2 ;;
2581 *-sysv3* | *-sysvr3* ) opsys=usg5-3 ;; 2583 *-sysv3* | *-sysvr3* ) opsys=usg5-3 ;;
2582 *-sysv4.2uw* ) opsys=unixware ;; 2584 *-sysv4.2uw* ) opsys=unixware ;;
2585 *-sysv5uw* ) opsys=unixware ;;
2586 *-sysv5OpenUNIX* ) opsys=unixware ;;
2583 *-sysv4.1* | *-sysvr4.1* ) 2587 *-sysv4.1* | *-sysvr4.1* )
2584 NON_GNU_CPP=/usr/lib/cpp 2588 NON_GNU_CPP=/usr/lib/cpp
2585 opsys=usg5-4 ;; 2589 opsys=usg5-4 ;;
2586 *-sysv4.[2-9]* | *-sysvr4.[2-9]* ) 2590 *-sysv4.[2-9]* | *-sysvr4.[2-9]* )
2587 if [ x$NON_GNU_CPP = x ]; then 2591 if [ x$NON_GNU_CPP = x ]; then
3391 ac_status=$? 3395 ac_status=$?
3392 echo "$as_me:$LINENO: \$? = $ac_status" >&5 3396 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3393 (exit $ac_status); }; }; then 3397 (exit $ac_status); }; }; then
3394 for ac_declaration in \ 3398 for ac_declaration in \
3395 ''\ 3399 ''\
3396 '#include <stdlib.h>' \
3397 'extern "C" void std::exit (int) throw (); using std::exit;' \ 3400 'extern "C" void std::exit (int) throw (); using std::exit;' \
3398 'extern "C" void std::exit (int); using std::exit;' \ 3401 'extern "C" void std::exit (int); using std::exit;' \
3399 'extern "C" void exit (int) throw ();' \ 3402 'extern "C" void exit (int) throw ();' \
3400 'extern "C" void exit (int);' \ 3403 'extern "C" void exit (int);' \
3401 'void exit (int);' 3404 'void exit (int);' \
3405 '#include <stdlib.h>'
3402 do 3406 do
3403 cat >conftest.$ac_ext <<_ACEOF 3407 cat >conftest.$ac_ext <<_ACEOF
3404 #line $LINENO "configure" 3408 #line $LINENO "configure"
3405 /* confdefs.h. */ 3409 /* confdefs.h. */
3406 _ACEOF 3410 _ACEOF
7703 HAVE_XFREE386=no 7707 HAVE_XFREE386=no
7704 fi 7708 fi
7705 echo "$as_me:$LINENO: result: $HAVE_XFREE386" >&5 7709 echo "$as_me:$LINENO: result: $HAVE_XFREE386" >&5
7706 echo "${ECHO_T}$HAVE_XFREE386" >&6 7710 echo "${ECHO_T}$HAVE_XFREE386" >&6
7707 7711
7712
7713 case ${host_os} in
7714 aix*)
7715 echo "$as_me:$LINENO: checking for -bbigtoc option" >&5
7716 echo $ECHO_N "checking for -bbigtoc option... $ECHO_C" >&6
7717 if test "${gdb_cv_bigtoc+set}" = set; then
7718 echo $ECHO_N "(cached) $ECHO_C" >&6
7719 else
7720
7721 case $GCC in
7722 yes) gdb_cv_bigtoc=-Wl,-bbigtoc ;;
7723 *) gdb_cv_bigtoc=-bbigtoc ;;
7724 esac
7725
7726 LDFLAGS=$LDFLAGS\ $gdb_cv_bigtoc
7727 cat >conftest.$ac_ext <<_ACEOF
7728 #line $LINENO "configure"
7729 /* confdefs.h. */
7730 _ACEOF
7731 cat confdefs.h >>conftest.$ac_ext
7732 cat >>conftest.$ac_ext <<_ACEOF
7733 /* end confdefs.h. */
7734
7735 int
7736 main ()
7737 {
7738 int i;
7739 ;
7740 return 0;
7741 }
7742 _ACEOF
7743 rm -f conftest.$ac_objext conftest$ac_exeext
7744 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7745 (eval $ac_link) 2>&5
7746 ac_status=$?
7747 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7748 (exit $ac_status); } &&
7749 { ac_try='test -s conftest$ac_exeext'
7750 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7751 (eval $ac_try) 2>&5
7752 ac_status=$?
7753 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7754 (exit $ac_status); }; }; then
7755 :
7756 else
7757 echo "$as_me: failed program was:" >&5
7758 sed 's/^/| /' conftest.$ac_ext >&5
7759
7760 gdb_cv_bigtoc=
7761 fi
7762 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
7763
7764 fi
7765 echo "$as_me:$LINENO: result: $gdb_cv_bigtoc" >&5
7766 echo "${ECHO_T}$gdb_cv_bigtoc" >&6
7767 ;;
7768 esac
7769
7708 # Change CFLAGS and CPPFLAGS temporarily so that C_SWITCH_X_SITE gets 7770 # Change CFLAGS and CPPFLAGS temporarily so that C_SWITCH_X_SITE gets
7709 # used for the tests that follow. We set them back to REAL_CFLAGS and 7771 # used for the tests that follow. We set them back to REAL_CFLAGS and
7710 # REAL_CPPFLAGS later on. 7772 # REAL_CPPFLAGS later on.
7711 7773
7712 REAL_CPPFLAGS="$CPPFLAGS" 7774 REAL_CPPFLAGS="$CPPFLAGS"
10735 LIBS="-lm $LIBS" 10797 LIBS="-lm $LIBS"
10736 10798
10737 fi 10799 fi
10738 10800
10739 10801
10740 # Check for mail-locking functions in a "mail" library 10802 # Check for mail-locking functions in a "mail" library. Probably this should
10803 # have the same check as for liblockfile below.
10741 10804
10742 echo "$as_me:$LINENO: checking for maillock in -lmail" >&5 10805 echo "$as_me:$LINENO: checking for maillock in -lmail" >&5
10743 echo $ECHO_N "checking for maillock in -lmail... $ECHO_C" >&6 10806 echo $ECHO_N "checking for maillock in -lmail... $ECHO_C" >&6
10744 if test "${ac_cv_lib_mail_maillock+set}" = set; then 10807 if test "${ac_cv_lib_mail_maillock+set}" = set; then
10745 echo $ECHO_N "(cached) $ECHO_C" >&6 10808 echo $ECHO_N "(cached) $ECHO_C" >&6
10913 There may be a \`development' package to install containing liblockfile." >&5 10976 There may be a \`development' package to install containing liblockfile." >&5
10914 echo "$as_me: error: Shared liblockfile found but can't link against it. 10977 echo "$as_me: error: Shared liblockfile found but can't link against it.
10915 This probably means that movemail could lose mail. 10978 This probably means that movemail could lose mail.
10916 There may be a \`development' package to install containing liblockfile." >&2;} 10979 There may be a \`development' package to install containing liblockfile." >&2;}
10917 { (exit 1); exit 1; }; } 10980 { (exit 1); exit 1; }; }
10918 else 10981 else :
10919 cat >>confdefs.h <<\_ACEOF
10920 #define LIBMAIL -llockfile
10921 _ACEOF
10922
10923 fi 10982 fi
10924 else :
10925 fi 10983 fi
10926 10984
10927 for ac_func in touchlock 10985 for ac_func in touchlock
10928 do 10986 do
10929 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10987 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`